org.apache.olingo.commons.api.edm

## Interface EdmTypeDefinition

- All Superinterfaces:
    EdmAnnotatable, EdmNamed, EdmPrimitiveType, EdmType

      public interface EdmTypeDefinition
      extends EdmPrimitiveType, EdmAnnotatable

  An `EdmTypeDefinition` defines a specialization of one of the possible primitive types.
  For more information on primitive types refer to `EdmPrimitiveType`.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.olingo.commons.api.edm.EdmPrimitiveType

      `EDM_NAMESPACE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `getMaxLength()`
    `Integer` | `getPrecision()`
    `Integer` | `getScale()`
    `SRID` | `getSrid()`
    `EdmPrimitiveType` | `getUnderlyingType()`
    `Boolean` | `isUnicode()`

    - ### Methods inherited from interface org.apache.olingo.commons.api.edm.EdmPrimitiveType

      `fromUriLiteral, getDefaultType, isCompatible, toUriLiteral, validate, validateDecimals, valueOfString, valueToString`

    - ### Methods inherited from interface org.apache.olingo.commons.api.edm.EdmType

      `getFullQualifiedName, getKind, getNamespace`

    - ### Methods inherited from interface org.apache.olingo.commons.api.edm.EdmNamed

      `getName`

    - ### Methods inherited from interface org.apache.olingo.commons.api.edm.EdmAnnotatable

      `getAnnotation, getAnnotations`

- - ### Method Detail

    - #### getUnderlyingType

          EdmPrimitiveType getUnderlyingType()

      Returns:
        `EdmPrimitiveType` this type definition is based upon

    - #### getMaxLength

          Integer getMaxLength()

      Returns:
        the maximum length as an Integer or null if not specified

    - #### getPrecision

          Integer getPrecision()

      Returns:
        the precision as an Integer or null if not specified

    - #### getScale

          Integer getScale()

      Returns:
        the scale as an Integer or null if not specified

    - #### getSrid

          SRID getSrid()

      Returns:
        a non-negative integer or the special value `variable`

    - #### isUnicode

          Boolean isUnicode()

      Returns:
        true if unicode or null if not specified

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.